Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Class TextBox

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.FocusWidget
                  com.google.gwt.user.client.ui.TextBoxBase
                      com.google.gwt.user.client.ui.TextBox

All Implemented Interfaces:
  EventListener, HasFocus, HasName, HasText, SourcesChangeEvents, SourcesClickEvents, SourcesFocusEvents, SourcesKeyboardEvents

    public class TextBox

extends TextBoxBase

A standard single-line text box.

### CSS Style Rules

- .gwt-TextBox { primary style }
- .gwt-TextBox-readonly { dependent style set when the text box is read-only }

### Example

>     public class TextBoxExample implements EntryPoint {

>       public void onModuleLoad() {
>         // Make some text boxes.  The password text box is identical to the text
>         // box, except that the input is visually masked by the browser.
>         PasswordTextBox ptb = new PasswordTextBox();
>         TextBox tb = new TextBox();

>         // Let's disallow non-numeric entry in the normal text box.
>         tb.addKeyboardListener(new KeyboardListenerAdapter() {
>           public void onKeyPress(Widget sender, char keyCode, int modifiers) {
>             if ((!Character.isDigit(keyCode)) && (keyCode != (char) KEY_TAB)
>                 && (keyCode != (char) KEY_BACKSPACE)
>                 && (keyCode != (char) KEY_DELETE) && (keyCode != (char) KEY_ENTER)
>                 && (keyCode != (char) KEY_HOME) && (keyCode != (char) KEY_END)
>                 && (keyCode != (char) KEY_LEFT) && (keyCode != (char) KEY_UP)
>                 && (keyCode != (char) KEY_RIGHT) && (keyCode != (char) KEY_DOWN)) {
>               // TextBox.cancelKey() suppresses the current keyboard event.
>               ((TextBox)sender).cancelKey();
>             }
>           }
>         });

>         // Let's make an 80x50 text area to go along with the other two.
>         TextArea ta = new TextArea();
>         ta.setCharacterWidth(80);
>         ta.setVisibleLines(50);

>         // Add them to the root panel.
>         VerticalPanel panel = new VerticalPanel();
>         panel.add(tb);
>         panel.add(ptb);
>         panel.add(ta);
>         RootPanel.get().add(panel);
>       }
>     }

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.TextBoxBase
`TextBoxBase.TextAlignConstant`

Field Summary

Fields inherited from class com.google.gwt.user.client.ui.TextBoxBase
`ALIGN_CENTER, ALIGN_JUSTIFY, ALIGN_LEFT, ALIGN_RIGHT`

Constructor Summary
`TextBox()` Creates an empty text box.

Method Summary
`int` | `getMaxLength()` Gets the maximum allowable length of the text box.
`int` | `getVisibleLength()` Gets the number of visible characters in the text box.
`void` | `setMaxLength(int length)` Sets the maximum allowable length of the text box.
`void` | `setVisibleLength(int length)` Sets the number of visible characters in the text box.

Methods inherited from class com.google.gwt.user.client.ui.TextBoxBase
`addChangeListener, addClickListener, addKeyboardListener, cancelKey, getCursorPos, getImpl, getName, getSelectedText, getSelectionLength, getText, isReadOnly, onBrowserEvent, removeChangeListener, removeClickListener, removeKeyboardListener, selectAll, setCursorPos, setKey, setName, setReadOnly, setSelectionRange, setText, setTextAlignment`

Methods inherited from class com.google.gwt.user.client.ui.FocusWidget
`addFocusListener, getFocusImpl, getTabIndex, isEnabled, removeFocusListener, setAccessKey, setElement, setEnabled, setFocus, setTabIndex`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`doAttachChildren, doDetachChildren, getParent, isAttached, onAttach, onDetach, onLoad, onUnload, removeFromParent`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, removeStyleDependentName, removeStyleName, setHeight, setPixelSize, setSize, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkEvents, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TextBox

    public TextBox()

  Creates an empty text box.

Method Detail

### getMaxLength

    public int getMaxLength()

  Gets the maximum allowable length of the text box.

  Returns:
    the maximum length, in characters

### getVisibleLength

    public int getVisibleLength()

  Gets the number of visible characters in the text box.

  Returns:
    the number of visible characters

### setMaxLength

    public void setMaxLength(int length)

  Sets the maximum allowable length of the text box.

  Parameters:
    `length` - the maximum length, in characters

### setVisibleLength

    public void setVisibleLength(int length)

  Sets the number of visible characters in the text box.

  Parameters:
    `length` - the number of visible characters

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD